fedora-cvs-commits@redhat.com
[Top] [All Lists]

rpms/firefox/devel firefox.sh.in,1.9,1.10 firefox.spec,1.108,1.109

Subject: rpms/firefox/devel firefox.sh.in,1.9,1.10 firefox.spec,1.108,1.109
From:
Date: Fri, 10 Mar 2006 01:57:13 -0500
Author: caillon

Update of /cvs/dist/rpms/firefox/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv21425

Modified Files:
        firefox.sh.in firefox.spec 
Log Message:
* Fri Mar 10 2006 Christopher Aillon <caillon@xxxxxxxxxx> - 1.5.0.1-8
- Disable pango by default in non-indic locales per upstream request.
  Users can export MOZ_ENABLE_PANGO=1 to force pango support.



Index: firefox.sh.in
===================================================================
RCS file: /cvs/dist/rpms/firefox/devel/firefox.sh.in,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- firefox.sh.in       23 Feb 2006 22:08:19 -0000      1.9
+++ firefox.sh.in       10 Mar 2006 06:57:11 -0000      1.10
@@ -83,12 +83,23 @@
 export FONTCONFIG_PATH
 
 ##
-## Set MOZ_ENABLE_PANGO is no longer used because Pango is enabled by default
-## you may use MOZ_DISABLE_PANGO=1 to force disabling of pango
+## Set MOZ_ENABLE_PANGO=1  to force enabling pango
+## Set MOZ_DISABLE_PANGO=1 to force disabling of pango
 ##
 #MOZ_DISABLE_PANGO=1
 #export MOZ_DISABLE_PANGO
 
+# For now, in order to ship with firefox trademarks, we need to default to
+# disable pango on non-indic locales.  Use MOZ_ENABLE_PANGO=1 to force pango.
+tmplang=${LC_CTYPE:-${LANG:-"en_US.UTF-8"}}
+if ! echo $tmplang | grep "^..[_-]IN" > /dev/null; then
+   if [ -z "$MOZ_ENABLE_PANGO" ]; then
+     MOZ_DISABLE_PANGO=1
+     export MOZ_DISABLE_PANGO
+   fi
+fi
+
+
 function check_running() {
     $MOZ_CLIENT_PROGRAM $MOZ_CLIENT_PROGRAM_PARAM 'ping()' 2>/dev/null 
>/dev/null
     RETURN_VAL=$?


Index: firefox.spec
===================================================================
RCS file: /cvs/dist/rpms/firefox/devel/firefox.spec,v
retrieving revision 1.108
retrieving revision 1.109
diff -u -r1.108 -r1.109
--- firefox.spec        6 Mar 2006 18:16:55 -0000       1.108
+++ firefox.spec        10 Mar 2006 06:57:11 -0000      1.109
@@ -9,7 +9,7 @@
 Summary:        Mozilla Firefox Web browser.
 Name:           firefox
 Version:        1.5.0.1
-Release:        7
+Release:        8
 URL:            http://www.mozilla.org/projects/firefox/
 License:        MPL/LGPL
 Group:          Applications/Internet
@@ -265,6 +265,10 @@
 #---------------------------------------------------------------------
 
 %changelog
+* Fri Mar 10 2006 Christopher Aillon <caillon@xxxxxxxxxx> - 1.5.0.1-8
+- Disable pango by default in non-indic locales per upstream request.
+  Users can export MOZ_ENABLE_PANGO=1 to force pango support.
+
 * Mon Mar  6 2006 Warren Togami <wtogami@xxxxxxxxxx> - 1.5.0.1-7
 - make links point to the correct release
 

-- 
fedora-cvs-commits mailing list
fedora-cvs-commits@xxxxxxxxxx
https://www.redhat.com/mailman/listinfo/fedora-cvs-commits

<Prev in Thread] Current Thread [Next in Thread>
  • rpms/firefox/devel firefox.sh.in,1.9,1.10 firefox.spec,1.108,1.109, fedora-cvs-commits <=